Bug 479510 - need a reliable way to disable the force-active-vt feature
need a reliable way to disable the force-active-vt feature
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 05:38 EST by Dan Horák
Modified: 2009-12-18 02:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:33:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2009-01-10 05:38:06 EST
I am using vt[1-6] for my work even when the default runlevel is 5. I do not use graphical boot (no "rhgb" on kernel line in grub.conf). So I am starting a mingetty on /dev/tty1 and trying to disable the "force-active-vt" feature of GDM with "rm /var/spool/gdm/*" in /etc/X11/prefdm script. I would really appreciate a more advanced way to disable the "force-active-vt" feature then using "rm", like a system wide config option, modified/new quit command to be used /etc/X11/prefdm script, etc.

plymouth-0.6.0-1.fc10.x86_64 installed from koji
Comment 1 Thomas Janssen 2009-05-28 16:08:26 EDT
There's a patch from March 12, 2009 in gdm:
- Don't force X server on active vt more than once

gdm-2.24.0-force-active-vt.patch:

Index: gdm-2.24.0-force-active-vt.patch
===================================================================
RCS file: /cvs/pkgs/rpms/gdm/devel/gdm-2.24.0-force-active-vt.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- gdm-2.24.0-force-active-vt.patch 15 Oct 2008 21:42:34 -0000 1.1
+++ gdm-2.24.0-force-active-vt.patch 12 Mar 2009 14:43:36 -0000 1.2
@@ -335,7 +335,7 @@
diff -ur gdm-2.24.0/daemon/gdm-static-display.c new/daemon/gdm-static-display.c
--- gdm-2.24.0/daemon/gdm-static-display.c 2008-07-10 11:07:42.000000000 
-0400
+++ new/daemon/gdm-static-display.c 2008-10-15 16:24:38.000000000 -0400
-@@ -86,10 +86,26 @@
+@@ -86,10 +86,27 @@
}

static gboolean
@@ -357,8 +357,9 @@

+ if (triggered_to_force_display_on_active_vt ()) {
+ g_object_set (display, "force-active-vt", TRUE, NULL);
++ } else {
++ g_object_set (display, "force-active-vt", FALSE, NULL);
+ }
-+
GDM_DISPLAY_CLASS (gdm_static_display_parent_class)->manage (display);

return TRUE;
=====================================================================

Does that fix the situation for you?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Dan Horák 2009-05-29 08:35:18 EDT
(In reply to comment #1)
> There's a patch from March 12, 2009 in gdm:
> - Don't force X server on active vt more than once
> 
> Does that fix the situation for you?

I don't think so, because the X server is forced to active vt at least for the first time. Either plymouth must be able to not create the /var/spool/gdm/force-display-on-active-vt file or gdm must be able to ignore it. The first option is preferred.
Comment 3 Ray Strode [halfline] 2009-05-29 09:35:17 EDT
I don't have a problem adding a plymouth:no-fade command line option or similar to disable the transition.
Comment 4 Dan Horák 2009-05-29 14:27:21 EDT
It really depends on what can be implemented in plymouth. Me as a user would prefer some config file, where the transition could be enabled/disabled and would survive updates of any component, but that's probably not implementable due the "initrd" nature. Other option could be to check whether the kernel options line contains the "rhgb" string and do the transition only when it is present.
Comment 5 Bug Zapper 2009-11-18 05:42:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:33:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.